chiark / gitweb /
git-debrebase: wip stitch
[dgit.git] / tests / lib
index 277ad5e33df189c6b903c8378c3ad1e638a1ce30..e226637fce41ea84a89c8dde68432c0cd8c81e5a 100644 (file)
--- a/tests/lib
+++ b/tests/lib
@@ -189,6 +189,13 @@ t-git-none () {
        (set -e; cd $tmp/git; tar xf $troot/git-template.tar)
 }
 
+t-salsa-add-remote () {
+       local d=$tmp/salsa/$p
+       mkdir -p $d
+       (set -e; cd $d; git init --bare)
+       git remote add ${1-origin} $d
+}
+
 t-git-merge-base () {
        git merge-base $1 $2 || test $? = 1
 }
@@ -360,7 +367,7 @@ t-expect-fsck-fail () {
 }
 
 t-git-fsck () {
-       local fsckerrs=dgit-test-fsck.errs
+       local fsckerrs=$(git rev-parse --git-dir)/dgit-test-fsck.errs
 
        set +e
        LC_MESSAGES=C git fsck --no-dangling --strict 2>&1 \
@@ -417,7 +424,7 @@ t-dgit () {
  ${dgit_config_debian_alias-"--config-lookup-explode=dgit-distro.debian.alias-canon"} \
                ${distro+${distro:+-d}}${distro--dtest-dummy} \
                $DGIT_TEST_OPTS $DGIT_TEST_DEBUG \
-               -k39B13D8A $t_dgit_xopts "$@"
+               -kBCD22CD83243B79D3DFAC33EA3DBCBC039B13D8A $t_dgit_xopts "$@"
        : '}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
 '
 }
@@ -635,6 +642,21 @@ t-check-pushed-master () {
        if [ x$mbase = x$master ]; then fail "failed to ff master"; fi
 }
 
+t-push-was-source-only () {
+        local f
+       t-files-notexist $tmp/incoming/${p}_${v}_*.deb \
+                         $tmp/incoming/${p}_${v}_*.udeb
+       # we permit _source.buildinfo files; see test_changes_source_only()
+       for f in $tmp/incoming/${p}_${v}_*.buildinfo; do
+            if [ -e $f ]; then
+                case "$f" in
+                    *_source.buildinfo) ;;
+                    *) fail "non-source-only file $f exists!" ;;
+                esac
+            fi
+        done
+}
+
 t-pushed-good () {
        local branch=$1
        local suite=${2:-sid}